textures/xeno_battledome/battledome
{
	surfaceparm noimpact
	surfaceparm nolightmap
        surfaceparm sky
	q3map_surfacelight 60
	q3map_sun .4 .6 .8 100 0 65

	qer_editorimage textures/skies/xnight2_up.tga

	skyparms env/xnight2 - -
}

textures/xeno_battledome/launchpad_xenobattledome
{
	{
		map $lightmap
		rgbGen identity
	}
	{ 
		map textures/xeno_battledome/launchpad_xenobattledome.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/xeno_battledome/launchpad_xenodot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}
	{ 
		animmap 4 textures/xeno_battledome/launchpad_xenoarrow.tga textures/xeno_battledome/launchpad_xenoarrow2.tga textures/xeno_battledome/launchpad_xenoarrow2.tga textures/xeno_battledome/launchpad_xenoarrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

textures/xeno_battledome/xenobounce
{
	{
		map textures/xeno_battledome/xenobounce.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/xeno_battledome/xenobouncepadlayer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/xeno_battledome/xenojumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}


textures/xeno_battledome/xslime
{
	qer_editorimage textures/xeno_battledome/slime7.tga
	q3map_lightimage textures/xeno_battledome/slime7.tga
	q3map_globaltexture
	qer_trans .5

	q3map_surfacelight 0
	surfaceparm nomarks
	surfaceparm trans
	tessSize 128
	cull disable
	deformVertexes wave 100 sin 0 1 .5 .5

	{
		map textures/xeno_battledome/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	{	
		map textures/xeno_battledome/color1_4.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		rgbgen wave inversesawtooth 0 1 0 1	
	}
	{
		map textures/xeno_battledome/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}
	{
		map textures/xeno_battledome/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .008 .008
	}		
}

textures/xeno_battledome/xslimestatic
{
	qer_editorimage textures/xeno_battledome/slime7.tga
	q3map_lightimage textures/xeno_battledome/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans		
	q3map_surfacelight 0
	cull disable

	{
		map textures/xeno_battledome/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	{	
		map textures/xeno_battledome/color1_4.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		rgbgen wave inversesawtooth 0 1 0 1	
	}
	{
		map textures/xeno_battledome/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}
	{
		map textures/xeno_battledome/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .03 .03
	}

}

textures/xeno_battledome/jaildr03_1
{
	qer_editorimage textures/xeno_battledome/jaildr03_1.tga
	surfaceparm nomarks
	q3map_surfacelight 1500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/xeno_battledome/jaildr03_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}